PDA

Visualizza la versione completa : Aiutate un novellino di Suse 10.2


Mysteriis
04-04-2007, 20:07
Ciao a tutti.
Come ho già anticipato sono appena entrato nel fantastico mondo di Linux.
Ho già qualche problemino!! :)
ho scaricato un archivio di xmule, l'ho scompattato in una cartella e lo vorrei installare.
ho leto qua e la che mi occorre gcc, cioè il compilatore c, credo di averlo installato tramite i pacchetti che ci sono in software d'installazione. poi ho aperto il terminale e nella cartella di xmule ho scritto ./configure --enable-debug. L'ho letto nel file di testo install. mi da il seguente errore:

Mysteriis@andrea:~/Desktop/xmule-1.13.7> ./configure --enable-debug
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking for style of include used by make... GNU
checking for gcc... gcc
checking for C compiler default output file name... configure: error: C compiler cannot create executables
See `config.log' for more details.

Mi potete aiutare per cortesia??

Grazie mille!!

Mysteriis

zeus122@tin.it

GunMan
04-04-2007, 20:42
il problema, a quanto pare, potrebbe essere in qualche modo legato al compilatore, assicurati di aver installato il pacchetto glibc-devel e riprova il configure.

eventualmente, sempre se non hai risultati apprezzabili, posta anche il contenuto del file config.log così come è suggerito.

edit: eventualmente, se non ci fosse un motivo ben preciso che ti fa propendere per xmule, puoi sempre provare amule (dal quale il primo è derivato) esso lo trovi già pacchettizzato.

:ciauz:

Mysteriis
04-04-2007, 20:48
Grazie per aver risposto.
Non ho glibc-devel , ho trovato glibc-html, info, obsolete e profile.
Ho provato ad installarli e mi da lo stesso erore.
Il log è questo:

This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.

It was created by xMule configure 1.13.7, which was
generated by GNU Autoconf 2.59. Invocation command line was

$ ./configure --enable-debug

## --------- ##
## Platform. ##
## --------- ##

hostname = andrea
uname -m = i686
uname -r = 2.6.18.2-34-default
uname -s = Linux
uname -v = #1 SMP Mon Nov 27 11:46:27 UTC 2006

/usr/bin/uname -p = unknown
/bin/uname -X = unknown

/bin/arch = i686
/usr/bin/arch -k = unknown
/usr/convex/getsysinfo = unknown
hostinfo = unknown
/bin/machine = unknown
/usr/bin/oslevel = unknown
/bin/universe = unknown

PATH: /home/Mysteriis/bin
PATH: /usr/local/bin
PATH: /usr/bin
PATH: /usr/X11R6/bin
PATH: /bin
PATH: /usr/games
PATH: /opt/gnome/bin
PATH: /opt/kde3/bin
PATH: /usr/lib/jvm/jre/bin
PATH: /usr/lib/mit/bin
PATH: /usr/lib/mit/sbin


## ----------- ##
## Core tests. ##
## ----------- ##

configure:1400: checking for a BSD-compatible install
configure:1455: result: /usr/bin/install -c
configure:1466: checking whether build environment is sane
configure:1509: result: yes
configure:1574: checking for gawk
configure:1590: found /usr/bin/gawk
configure:1600: result: gawk
configure:1610: checking whether make sets $(MAKE)
configure:1630: result: yes
configure:1814: checking for style of include used by make
configure:1842: result: GNU
configure:1913: checking for gcc
configure:1929: found /usr/bin/gcc
configure:1939: result: gcc
configure:2183: checking for C compiler version
configure:2186: gcc --version </dev/null >&5
2.95.3
configure:2189: $? = 0
configure:2191: gcc -v </dev/null >&5
Reading specs from /usr/lib/gcc-lib/i486-suse-linux/2.95.3/specs
gcc version 2.95.3 20010315 (SuSE)
configure:2194: $? = 0
configure:2196: gcc -V </dev/null >&5
gcc: argument to `-V' is missing
configure:2199: $? = 1
configure:2222: checking for C compiler default output file name
configure:2225: gcc conftest.c >&5
gcc: installation problem, cannot exec `cpp0': No such file or directory
configure:2228: $? = 1
configure: failed program was:
| /* confdefs.h. */
|
| #define PACKAGE_NAME "xMule"
| #define PACKAGE_TARNAME "xmule"
| #define PACKAGE_VERSION "1.13.7"
| #define PACKAGE_STRING "xMule 1.13.7"
| #define PACKAGE_BUGREPORT "http://www.xmule.ws/"
| #define PACKAGE "xmule"
| #define VERSION "1.13.7"
| /* end confdefs.h. */
|
| int
| main ()
| {
|
| ;
| return 0;
| }
configure:2267: error: C compiler cannot create executables
See `config.log' for more details.

## ---------------- ##
## Cache variables. ##
## ---------------- ##

ac_cv_env_CC_set=
ac_cv_env_CC_value=
ac_cv_env_CFLAGS_set=
ac_cv_env_CFLAGS_value=
ac_cv_env_CPPFLAGS_set=
ac_cv_env_CPPFLAGS_value=
ac_cv_env_CPP_set=
ac_cv_env_CPP_value=
ac_cv_env_CXXCPP_set=
ac_cv_env_CXXCPP_value=
ac_cv_env_CXXFLAGS_set=
ac_cv_env_CXXFLAGS_value=
ac_cv_env_CXX_set=
ac_cv_env_CXX_value=
ac_cv_env_LDFLAGS_set=
ac_cv_env_LDFLAGS_value=
ac_cv_env_build_alias_set=
ac_cv_env_build_alias_value=
ac_cv_env_host_alias_set=
ac_cv_env_host_alias_value=
ac_cv_env_target_alias_set=
ac_cv_env_target_alias_value=
ac_cv_path_install='/usr/bin/install -c'
ac_cv_prog_AWK=gawk
ac_cv_prog_ac_ct_CC=gcc
ac_cv_prog_make_make_set=yes

## ----------------- ##
## Output variables. ##
## ----------------- ##

ACLOCAL='${SHELL} /home/Mysteriis/Desktop/xmule-1.13.7/missing --run aclocal-1.9'
ALLOCA=''
AMDEPBACKSLASH='\'
AMDEP_FALSE='#'
AMDEP_TRUE=''
AMTAR='${SHELL} /home/Mysteriis/Desktop/xmule-1.13.7/missing --run tar'
AUTOCONF='${SHELL} /home/Mysteriis/Desktop/xmule-1.13.7/missing --run autoconf'
AUTOHEADER='${SHELL} /home/Mysteriis/Desktop/xmule-1.13.7/missing --run autoheader'
AUTOMAKE='${SHELL} /home/Mysteriis/Desktop/xmule-1.13.7/missing --run automake-1.9'
AWK='gawk'
BUILD_INCLUDED_LIBINTL=''
CATOBJEXT=''
CC='gcc'
CCDEPMODE=''
CFLAGS=''
CONFIG=''
CPP=''
CPPFLAGS=''
CXX=''
CXXCPP=''
CXXDEPMODE=''
CXXFLAGS=''
CYGPATH_W='echo'
DATADIRNAME=''
DEFS=''
DEPDIR='.deps'
ECHO_C=''
ECHO_N='-n'
ECHO_T=''
EGREP=''
EXEEXT=''
GENCAT=''
GLIBC21=''
GMSGFMT=''
GTK_CFLAGS=''
GTK_CONFIG=''
GTK_LIBS=''
GTK_USEDVERSION=''
HAVE_XRC=''
INSTALL_DATA='${INSTALL} -m 644'
INSTALL_PROGRAM='${INSTALL}'
INSTALL_SCRIPT='${INSTALL}'
INSTALL_STRIP_PROGRAM='${SHELL} $(install_sh) -c -s'
INSTOBJEXT=''
INTLBISON=''
INTLLIBS=''
INTLOBJS=''
INTL_LIBTOOL_SUFFIX_PREFIX=''
LDFLAGS=''
LIBICONV=''
LIBINTL=''
LIBOBJS=''
LIBS=''
LTLIBICONV=''
LTLIBINTL=''
LTLIBOBJS=''
MAKEINFO='${SHELL} /home/Mysteriis/Desktop/xmule-1.13.7/missing --run makeinfo'
MKINSTALLDIRS=''
MSGFMT=''
MSGMERGE=''
OBJEXT=''
PACKAGE='xmule'
PACKAGE_BUGREPORT='http://www.xmule.ws/'
PACKAGE_NAME='xMule'
PACKAGE_STRING='xMule 1.13.7'
PACKAGE_TARNAME='xmule'
PACKAGE_VERSION='1.13.7'
PATH_SEPARATOR=':'
PKG_CONFIG=''
POSUB=''
RANLIB=''
SET_MAKE=''
SHELL='/bin/sh'
STRIP=''
USE_INCLUDED_LIBINTL=''
USE_NLS=''
USE_PCH=''
VERSION='1.13.7'
WX_CFLAGS=''
WX_CFLAGS_ONLY=''
WX_CONFIG_PATH=''
WX_CPPFLAGS=''
WX_CXXFLAGS=''
WX_CXXFLAGS_ONLY=''
WX_LIBS=''
WX_LIBS_STATIC=''
WX_RESCOMP=''
WX_VERSION=''
XGETTEXT=''
ZLIB_CFLAGS=''
ZLIB_LIBS=''
ac_ct_CC='gcc'
ac_ct_CXX=''
ac_ct_RANLIB=''
ac_ct_STRIP=''
am__fastdepCC_FALSE=''
am__fastdepCC_TRUE=''
am__fastdepCXX_FALSE=''
am__fastdepCXX_TRUE=''
am__include='include'
am__leading_dot='.'
am__quote=''
am__tar='${AMTAR} chof - "$$tardir"'
am__untar='${AMTAR} xf -'
bindir='${exec_prefix}/bin'
build=''
build_alias=''
build_cpu=''
build_os=''
build_vendor=''
datadir='${prefix}/share'
exec_prefix='NONE'
host=''
host_alias=''
host_cpu=''
host_os=''
host_vendor=''
includedir='${prefix}/include'
infodir='${prefix}/info'
install_sh='/home/Mysteriis/Desktop/xmule-1.13.7/install-sh'
libdir='${exec_prefix}/lib'
libexecdir='${exec_prefix}/libexec'
localstatedir='${prefix}/var'
mandir='${prefix}/man'
mkdir_p='mkdir -p --'
oldincludedir='/usr/include'
prefix='NONE'
program_transform_name='s,x,x,'
sbindir='${exec_prefix}/sbin'
sharedstatedir='${prefix}/com'
sysconfdir='${prefix}/etc'
target_alias=''

## ----------- ##
## confdefs.h. ##
## ----------- ##

#define PACKAGE "xmule"
#define PACKAGE_BUGREPORT "http://www.xmule.ws/"
#define PACKAGE_NAME "xMule"
#define PACKAGE_STRING "xMule 1.13.7"
#define PACKAGE_TARNAME "xmule"
#define PACKAGE_VERSION "1.13.7"
#define VERSION "1.13.7"

configure: exit 77

Vi dice qualcosa??

Mysteriis

zeus122@tin.it

GunMan
04-04-2007, 21:00
l'errore sembra essere questo:


gcc: installation problem, cannot exec `cpp0': No such file or directory

facendo un passo indietro, è molto strano che non trovi quel pacchetto, hai cercato con yast?

dai per cortesia da console.

gcc --version

:ciauz:

Mysteriis
05-04-2007, 00:11
Mi dice 2.95.3.
Non mi trova il pacchetto neanche con yast.
Mi ha trovato glib-devel e glib2-doc.

submax82
05-04-2007, 00:59
ma non potevi cercare un repository di xmule?

Mysteriis
05-04-2007, 01:15
Scusami, cos'è un reposity? a cosa serve?

GunMan
05-04-2007, 01:24
i repository vengono usati dal package manager (yast in questo caso) per scaricare ed installare software già pacchettizzato che non ha bisogno di essere compilato.

tornando a noi mi pare che tu abbia una versione molto vecchia di gcc è il caso di aggiornarla che male non fa di sicuro.

prima però è bene che tu prenda un minimo di confidenza col sistema e col suo funzionamento, segui Questa (http://it.opensuse.org/Repository_Aggiuntivi_Per_YaST) guida e aggiungi in yast i repository che troverai segnalati dovrebbero essere più che sufficienti per tutte le normali situazioni di utilizzo.

ovviamente aggiungi quelli giusti per la tua versione (10.2)

:ciauz:

Mysteriis
05-04-2007, 01:27
Cioè in poche parole devo inserire gli indirizzi (tipo packman.iu-bremen.de) in yast?

GunMan
05-04-2007, 01:29
praticamente.

ulteriori dettagli Qui (http://www.suseitalia.org/modules/wfsection/article.php?articleid=66)

:ciauz:

Loading